Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045863
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Quotationsmajoralways2021-02-08 11:542021-02-23 13:07
Reporterandrea_lopezView Statuspublic 
Assigned Torqueralta 
PriorityurgentResolutionopenFixed in Version
StatusnewFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0045863: Quotation of services related to a layaway. If quotation is canceled, the link to the layway is not deleted.

DescriptionA layaway is created. A quotation of a service linked to the product of this layaway is then created. If the quotation is rejected and afterwards the inital layaway order is either tried to be prepared or canceled, an error popup will appear stating that there is still a document (Quotation previously rejected) linked to the order and it won't be possible to complete neither of these actions.
Steps To Reproduce1.- Login to WEBPOS.
2.- Create a Layaway and select a customer.
4.- Add a product.
5.- Pay the ticket.
6.- Select CANCEL when the popup of Order Preparation appears and copy the receipt number.
8.- Open the receipt and select a service associated to the product in it.
9.- Select the option "Create new Receipt" and click Apply.
10.- Open the menu and select "Create cuotation from order" and Checkout.
11.- Open the inital ticket (Layaway) again and from the Menu select "cancel Order". A popup error will appear with the related orders and it won't be possible to cancel it, which is correct as the quotation is still active.
12.- Open the quotation, from the Menu select "Reject Quotation" and click "OK".
13.- Open the inital ticket (layway) again and from the menu selct "Cancel this Order", it should be able to cancel the layway now as the quotation has been rejected, but the same error popup will appear with the related orders. Same thing will happen if the order is tried to be prepared.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0126103)
hgbot (developer)
2021-02-13 04:35

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/301 [^]
(0126108)
hgbot (developer)
2021-02-15 07:24

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: d6d0a4493b3d0101fe4b573e6dcb0f52d3c75f8c
Author: Rafael Queralta <rafaelcuba81@gmail.com>
Date: 2021-02-15T06:24:35+00:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/d6d0a4493b3d0101fe4b573e6dcb0f52d3c75f8c [^]

Fixed BUG-45863: Checked by documentstatus CJ too when we try to retrieve the relates services.

---
M src/org/openbravo/retail/posterminal/process/IsOrderCancelled.java
---
(0126109)
hgbot (developer)
2021-02-15 07:24

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/301 [^]
(0126303)
andrea_lopez (developer)
2021-02-23 13:07

The same issue happens during pickings:
1.- Login to WEBPOS.
2.- Create a Layaway and select a customer.
4.- Add a product.
5.- Pay the ticket.
6.- Select CANCEL when the popup of Order Preparation appears and copy the receipt number.
8.- Open the receipt and select a service associated to the product in it.
9.- Select the option "Create new Receipt" and click Apply.
10.- Open the menu and select "Create cuotation from order" and Checkout.
11.- Open the inital ticket (Layaway) again and from the Menu select "cancel Order". A popup error will appear with the related orders and it won't be possible to cancel it, which is correct as the quotation is still active.
12.- Open the quotation, from the Menu select "Reject Quotation" and click "OK".
13.- Go to menu and select "order preparation" select the ticket and click "prepare order".

14.- Go to "Pikcings" from the main menu and select the picking that was created from the orde, assing it and "confirm all", when "Deliver" is clicked, it will throw a popup error with the related orders.

- Issue History
Date Modified Username Field Change
2021-02-08 11:54 andrea_lopez New Issue
2021-02-08 11:54 andrea_lopez Assigned To => Retail
2021-02-08 11:54 andrea_lopez Triggers an Emergency Pack => No
2021-02-09 16:05 andrea_lopez Priority high => urgent
2021-02-09 16:05 andrea_lopez Severity major => critical
2021-02-12 07:59 marvintm Severity critical => major
2021-02-12 17:31 rqueralta Assigned To Retail => rqueralta
2021-02-12 17:31 rqueralta Status new => scheduled
2021-02-13 04:35 hgbot Note Added: 0126103
2021-02-15 07:24 hgbot Resolution open => fixed
2021-02-15 07:24 hgbot Status scheduled => closed
2021-02-15 07:24 hgbot Fixed in Version => RR21Q2
2021-02-15 07:24 hgbot Note Added: 0126108
2021-02-15 07:24 hgbot Note Added: 0126109
2021-02-23 13:07 andrea_lopez Note Added: 0126303
2021-02-23 13:07 andrea_lopez Status closed => new
2021-02-23 13:07 andrea_lopez Resolution fixed => open
2021-02-23 13:07 andrea_lopez Fixed in Version RR21Q2 =>


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker